Which DDS-files should be downloaded

3 posts / 0 new
Last post
Offline
Last seen: 1 week 2 days ago
Joined: 01/02/2020
Posts: 3
Which DDS-files should be downloaded

Hi,

Host system: Ubuntu 18.04

Target system : i686, Kernel version - 4.9.65, libc - 2.19, gcc version - 7.5.0

Which run should i download and install from the Downloads?

Also i am going through rti_on_raspberry tutorial. In the step 3.2 we install the .run file which was downloaded earlier. 

How to get the .rtipkg  libraries for the target system mentioned in the step 4. ?

 

Thanks

 

 

 

Offline
Last seen: 8 hours 54 min ago
Joined: 09/23/2018
Posts: 15

To simplify the evaluation process,  our Evaluation Packages are distributed with the Host Platform and Target Platform bundled together.  In your case,  your target is the same as the host -- Linux.  

The community article on Rasberry Pi assumes you have the full version of Connext with ARM target support.

We have quite a few examples to experiment with,  they will be located in your  rti_workspace  area.

Sorry for the confusion.

 

  

Offline
Last seen: 1 week 2 days ago
Joined: 01/02/2020
Posts: 3

Hi Gary, 

I am bit confused, probably being new to cross-compilation.

Host system - Ubuntu 18.04  x86_64-pc-linux-gnu (64 bit)

Target System - Debian 8.11 (Jessie ) i686-pc-linux-gnu (32 bit)

Although both are of ARM architecture, i suppose they are different because of 64 and 32 bit.  Does the evaluation package assume both host and target system same.

Thanks